import React from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import purebem from 'purebem';

import FoundationSpinner from '../spinner/FoundationSpinner';

import './FoundationLightboxSpinner.less';


const block = purebem.of('foundation-lightbox-spinner');

const FoundationLightboxSpinner = React.createClass({

    mixins: [PureRenderMixin],

    render() {
        return (
            <div className={ block() }>
                <FoundationSpinner
                    delay={ 0 } />
            </div>
        );
    },

});

export default FoundationLightboxSpinner;
