import purebem from 'purebem';

import Autocomplete from './Autocomplete';
import FoundationButton from '../button/FoundationButton';
import FoundationTextbox from '../textbox/FoundationTextbox';
import FoundationTextboxSymbolText from '../textbox/FoundationTextboxSymbolText';

import './FoundationAutocomplete.less';


export default Autocomplete({
    block: purebem.of('foundation-new-autocomplete'),
    displayName: 'FoundationAutocomplete',
    Button: FoundationButton,
    Textbox: FoundationTextbox,
    TextboxSymbolText: FoundationTextboxSymbolText,
});
